Changeset 970 for trunk


Ignore:
Timestamp:
Jun 27, 2013 3:20:51 PM (6 years ago)
Author:
tkr
Message:

Change to allow embedding of manifest

Location:
trunk/Couenne
Files:
20 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/Makefile.in

    r942 r970  
    301301ac_ct_CXX = @ac_ct_CXX@
    302302ac_ct_F77 = @ac_ct_F77@
     303ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    303304ac_ct_RANLIB = @ac_ct_RANLIB@
    304305ac_ct_STRIP = @ac_ct_STRIP@
    305306ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    306 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    307307am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    308308am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/configure

    r935 r970  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11001100                          icl/link). Default when mentioned: mingw. Default
    11011101                          when not mentioned: disabled.
     1102
    11021103  --enable-debug          compile all projects with debug options tests
    11031104                          (implies --disable-shared)
     
    17731774echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    17741775  fi
     1776
     1777
     1778# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1779if test "${enable_static_standardlibs+set}" = set; then
     1780  enableval="$enable_static_standardlibs"
     1781  case "$enableval" in
     1782     no | yes | auto ) ;;
     1783     *)
     1784       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1785echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1786   { (exit 1); exit 1; }; } ;;
     1787   esac
     1788   use_static_standardlibs=$enableval
     1789else
     1790  use_static_standardlibs=no
     1791fi;
     1792
    17751793
    17761794
     
    27272745          clang* ) ;;
    27282746          cl* | */cl* | CL* | */CL*)
    2729             coin_opt_cflags='-MT -O2'
     2747            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2748              coin_opt_cflags='-MD -O2'
     2749              coin_dbg_cflags='-MDd'
     2750            else
     2751              coin_opt_cflags='-MT -O2'
     2752              coin_dbg_cflags='-MTd'
     2753            fi
    27302754            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    2731             coin_dbg_cflags='-MTd'
    27322755            ;;
    27332756          icl* | */icl* | ICL* | */ICL*)
    2734             coin_opt_cflags='-MT -Ox'
     2757            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2758              coin_opt_cflags='-MD -Ox'
     2759              coin_dbg_cflags='-MDd -debug'
     2760            else
     2761              coin_opt_cflags='-MT -Ox'
     2762              coin_dbg_cflags='-MTd -debug'
     2763            fi
    27352764            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    2736             coin_dbg_cflags='-MTd -debug'
    27372765            ;;
    27382766        esac
     
    28992927    CFLAGS="$OPT_CFLAGS"
    29002928  fi
     2929
    29012930else
    29022931  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    30673096esac
    30683097
     3098# check whether to add flags for static linking against standard libraries to LDFLAGS
     3099if test x$use_static_standardlibs != xno ; then
     3100  case $build in
     3101    *-mingw*)
     3102      static_standardlib_flag=-static
     3103      ;;
     3104    *)
     3105      static_standardlib_flag=-static-libgcc
     3106      ;;
     3107  esac
     3108  case " $LDFLAGS " in
     3109    *" $static_standardlib_flag "* ) ;;
     3110    *)
     3111    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3112echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3113    coin_save_LDFLAGS="$LDFLAGS"
     3114    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3115    cat >conftest.$ac_ext <<_ACEOF
     3116/* confdefs.h.  */
     3117_ACEOF
     3118cat confdefs.h >>conftest.$ac_ext
     3119cat >>conftest.$ac_ext <<_ACEOF
     3120/* end confdefs.h.  */
     3121
     3122int
     3123main ()
     3124{
     3125int i=0;
     3126  ;
     3127  return 0;
     3128}
     3129_ACEOF
     3130rm -f conftest.$ac_objext conftest$ac_exeext
     3131if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3132  (eval $ac_link) 2>conftest.er1
     3133  ac_status=$?
     3134  grep -v '^ *+' conftest.er1 >conftest.err
     3135  rm -f conftest.er1
     3136  cat conftest.err >&5
     3137  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3138  (exit $ac_status); } &&
     3139         { ac_try='test -z "$ac_c_werror_flag"
     3140                         || test ! -s conftest.err'
     3141  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3142  (eval $ac_try) 2>&5
     3143  ac_status=$?
     3144  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3145  (exit $ac_status); }; } &&
     3146         { ac_try='test -s conftest$ac_exeext'
     3147  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3148  (eval $ac_try) 2>&5
     3149  ac_status=$?
     3150  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3151  (exit $ac_status); }; }; then
     3152  echo "$as_me:$LINENO: result: yes" >&5
     3153echo "${ECHO_T}yes" >&6
     3154else
     3155  echo "$as_me: failed program was:" >&5
     3156sed 's/^/| /' conftest.$ac_ext >&5
     3157
     3158echo "$as_me:$LINENO: result: no" >&5
     3159echo "${ECHO_T}no" >&6
     3160       LDFLAGS="$coin_save_LDFLAGS"
     3161       if test $use_static_standardlibs = yes ; then
     3162         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3163echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3164   { (exit 1); exit 1; }; }
     3165       fi
     3166
     3167fi
     3168rm -f conftest.err conftest.$ac_objext \
     3169      conftest$ac_exeext conftest.$ac_ext
     3170    ;;
     3171  esac
     3172fi
     3173
    30693174ac_ext=c
    30703175ac_cpp='$CPP $CPPFLAGS'
     
    30873192  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    30883193 esac
     3194
    30893195
    30903196
     
    33023408
    33033409# Provide some information about the compiler.
    3304 echo "$as_me:3304:" \
     3410echo "$as_me:3410:" \
    33053411     "checking for Fortran 77 compiler version" >&5
    33063412ac_compiler=`set X $ac_compile; echo $2`
     
    35173623        case $F77 in
    35183624          ifort* | */ifort* | IFORT* | */IFORT* )
    3519             coin_opt_fflags='-MT -O3'
     3625            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3626              coin_opt_fflags='-MD -O3'
     3627              coin_dbg_fflags='-MDd -debug'
     3628            else
     3629              coin_opt_fflags='-MT -O3'
     3630              coin_dbg_fflags='-MTd -debug'
     3631            fi
    35203632            coin_add_fflags='-fpp -nologo'
    3521             coin_dbg_fflags='-MTd -debug'
    35223633          ;;
    35233634          compile_f2c*)
    3524             coin_opt_fflags='-MT -O2'
     3635            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3636              coin_opt_fflags='-MD -O2'
     3637              coin_dbg_fflags='-MDd'
     3638            else
     3639              coin_opt_fflags='-MT -O2'
     3640              coin_dbg_fflags='-MTd'
     3641            fi
    35253642            coin_add_fflags='-nologo -wd4996'
    3526             coin_dbg_fflags='-MTd'
    35273643          ;;
    35283644        esac
     
    36693785    FFLAGS="$OPT_FFLAGS"
    36703786  fi
     3787
    36713788else
    36723789  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    38113928esac
    38123929
     3930# check whether to add flag for static linking against standard libraries to LDFLAGS
     3931if test x$use_static_standardlibs != xno ; then
     3932  case $build in
     3933    *-mingw*)
     3934      static_standardlib_flag=-static
     3935      ;;
     3936    *)
     3937      static_standardlib_flag=-static-libgfortran
     3938      ;;
     3939  esac
     3940  case " $LDFLAGS " in
     3941    *" $static_standardlib_flag "* ) ;;
     3942    *)
     3943    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3944echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3945    coin_save_LDFLAGS="$LDFLAGS"
     3946    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3947    cat >conftest.$ac_ext <<_ACEOF
     3948      program main
     3949      integer i
     3950      end
     3951_ACEOF
     3952rm -f conftest.$ac_objext conftest$ac_exeext
     3953if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3954  (eval $ac_link) 2>conftest.er1
     3955  ac_status=$?
     3956  grep -v '^ *+' conftest.er1 >conftest.err
     3957  rm -f conftest.er1
     3958  cat conftest.err >&5
     3959  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3960  (exit $ac_status); } &&
     3961         { ac_try='test -z "$ac_f77_werror_flag"
     3962                         || test ! -s conftest.err'
     3963  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3964  (eval $ac_try) 2>&5
     3965  ac_status=$?
     3966  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3967  (exit $ac_status); }; } &&
     3968         { ac_try='test -s conftest$ac_exeext'
     3969  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3970  (eval $ac_try) 2>&5
     3971  ac_status=$?
     3972  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3973  (exit $ac_status); }; }; then
     3974  echo "$as_me:$LINENO: result: yes" >&5
     3975echo "${ECHO_T}yes" >&6
     3976else
     3977  echo "$as_me: failed program was:" >&5
     3978sed 's/^/| /' conftest.$ac_ext >&5
     3979
     3980echo "$as_me:$LINENO: result: no" >&5
     3981echo "${ECHO_T}no" >&6
     3982       LDFLAGS="$coin_save_LDFLAGS"
     3983       if test $use_static_standardlibs = yes ; then
     3984         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3985echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3986   { (exit 1); exit 1; }; }
     3987       fi
     3988
     3989fi
     3990rm -f conftest.err conftest.$ac_objext \
     3991      conftest$ac_exeext conftest.$ac_ext
     3992    ;;
     3993  esac
     3994fi
     3995
    38133996ac_ext=c
    38143997ac_cpp='$CPP $CPPFLAGS'
     
    38714054ac_save_FFLAGS=$FFLAGS
    38724055FFLAGS="$FFLAGS $ac_verb"
    3873 (eval echo $as_me:3873: \"$ac_link\") >&5
     4056(eval echo $as_me:4056: \"$ac_link\") >&5
    38744057ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38754058echo "$ac_f77_v_output" >&5
     
    39494132ac_save_FFLAGS=$FFLAGS
    39504133FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3951 (eval echo $as_me:3951: \"$ac_link\") >&5
     4134(eval echo $as_me:4134: \"$ac_link\") >&5
    39524135ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39534136echo "$ac_f77_v_output" >&5
     
    47384921
    47394922
     4923
    47404924cat >>confdefs.h <<_ACEOF
    47414925#define COUENNE_VERSION "$PACKAGE_VERSION"
     
    48235007
    48245008
    4825 # Capture libtool library version, if given.
     5009 # Capture libtool library version, if given.
     5010
    48265011
    48275012
     
    49215106
    49225107 #Let's try if that overcomes configuration problem with VC++ 6.0
     5108
    49235109
    49245110ac_ext=cc
     
    55605746          clang* ) ;;
    55615747          cl* | */cl* | CL* | */CL*)
    5562             # The MT and MTd options are mutually exclusive
    5563             coin_opt_cxxflags='-MT -O2'
     5748            # The MT and MTd options are mutually exclusive
     5749            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     5750               coin_opt_cxxflags='-MD -O2'
     5751               coin_dbg_cxxflags='-MDd'
     5752            else
     5753               coin_opt_cxxflags='-MT -O2'
     5754               coin_dbg_cxxflags='-MTd'
     5755            fi
    55645756            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    5565             coin_dbg_cxxflags='-MTd'
    55665757            ;;
    55675758          icl* | */icl* | ICL* | */ICL*)
    5568             # The MT and MTd options are mutually exclusive
    5569             coin_opt_cxxflags='-MT -Ox'
     5759          # The MT and MTd options are mutually exclusive
     5760            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     5761              coin_opt_cxxflags='-MD -Ox'
     5762              coin_dbg_cxxflags='-MDd -debug'
     5763            else
     5764              coin_opt_cxxflags='-MT -Ox'
     5765              coin_dbg_cxxflags='-MTd -debug'
     5766            fi
    55705767            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
    5571             coin_dbg_cxxflags='-MTd -debug'
    55725768            ;;
    55735769        esac
     
    59406136esac
    59416137
     6138# check whether to add flag for static linking against standard libraries to LDFLAGS
     6139if test x$use_static_standardlibs != xno ; then
     6140  case $build in
     6141    *-mingw*)
     6142      static_standardlib_flag=-static
     6143      ;;
     6144    *)
     6145      static_standardlib_flag=-static-libstdc++
     6146      ;;
     6147  esac
     6148  case " $LDFLAGS " in
     6149    *" $static_standardlib_flag "* ) ;;
     6150    *)
     6151    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     6152echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     6153    coin_save_LDFLAGS="$LDFLAGS"
     6154    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     6155    cat >conftest.$ac_ext <<_ACEOF
     6156/* confdefs.h.  */
     6157_ACEOF
     6158cat confdefs.h >>conftest.$ac_ext
     6159cat >>conftest.$ac_ext <<_ACEOF
     6160/* end confdefs.h.  */
     6161
     6162#ifdef F77_DUMMY_MAIN
     6163
     6164#  ifdef __cplusplus
     6165     extern "C"
     6166#  endif
     6167   int F77_DUMMY_MAIN() { return 1; }
     6168
     6169#endif
     6170int
     6171main ()
     6172{
     6173int i=0;
     6174  ;
     6175  return 0;
     6176}
     6177_ACEOF
     6178rm -f conftest.$ac_objext conftest$ac_exeext
     6179if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6180  (eval $ac_link) 2>conftest.er1
     6181  ac_status=$?
     6182  grep -v '^ *+' conftest.er1 >conftest.err
     6183  rm -f conftest.er1
     6184  cat conftest.err >&5
     6185  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6186  (exit $ac_status); } &&
     6187         { ac_try='test -z "$ac_cxx_werror_flag"
     6188                         || test ! -s conftest.err'
     6189  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6190  (eval $ac_try) 2>&5
     6191  ac_status=$?
     6192  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6193  (exit $ac_status); }; } &&
     6194         { ac_try='test -s conftest$ac_exeext'
     6195  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6196  (eval $ac_try) 2>&5
     6197  ac_status=$?
     6198  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6199  (exit $ac_status); }; }; then
     6200  echo "$as_me:$LINENO: result: yes" >&5
     6201echo "${ECHO_T}yes" >&6
     6202else
     6203  echo "$as_me: failed program was:" >&5
     6204sed 's/^/| /' conftest.$ac_ext >&5
     6205
     6206echo "$as_me:$LINENO: result: no" >&5
     6207echo "${ECHO_T}no" >&6
     6208       LDFLAGS="$coin_save_LDFLAGS"
     6209       if test $use_static_standardlibs = yes ; then
     6210         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     6211echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     6212   { (exit 1); exit 1; }; }
     6213       fi
     6214
     6215fi
     6216rm -f conftest.err conftest.$ac_objext \
     6217      conftest$ac_exeext conftest.$ac_ext
     6218    ;;
     6219  esac
     6220fi
     6221
    59426222ac_ext=c
    59436223ac_cpp='$CPP $CPPFLAGS'
     
    59496229
    59506230# Get the name of the C compiler and appropriate compiler options
     6231
    59516232
    59526233
     
    67487029          clang* ) ;;
    67497030          cl* | */cl* | CL* | */CL*)
    6750             coin_opt_cflags='-MT -O2'
     7031            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     7032              coin_opt_cflags='-MD -O2'
     7033              coin_dbg_cflags='-MDd'
     7034            else
     7035              coin_opt_cflags='-MT -O2'
     7036              coin_dbg_cflags='-MTd'
     7037            fi
    67517038            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    6752             coin_dbg_cflags='-MTd'
    67537039            ;;
    67547040          icl* | */icl* | ICL* | */ICL*)
    6755             coin_opt_cflags='-MT -Ox'
     7041            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     7042              coin_opt_cflags='-MD -Ox'
     7043              coin_dbg_cflags='-MDd -debug'
     7044            else
     7045              coin_opt_cflags='-MT -Ox'
     7046              coin_dbg_cflags='-MTd -debug'
     7047            fi
    67567048            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    6757             coin_dbg_cflags='-MTd -debug'
    67587049            ;;
    67597050        esac
     
    69367227    CFLAGS="$OPT_CFLAGS"
    69377228  fi
     7229
    69387230else
    69397231  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    71207412esac
    71217413
     7414# check whether to add flags for static linking against standard libraries to LDFLAGS
     7415if test x$use_static_standardlibs != xno ; then
     7416  case $build in
     7417    *-mingw*)
     7418      static_standardlib_flag=-static
     7419      ;;
     7420    *)
     7421      static_standardlib_flag=-static-libgcc
     7422      ;;
     7423  esac
     7424  case " $LDFLAGS " in
     7425    *" $static_standardlib_flag "* ) ;;
     7426    *)
     7427    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     7428echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     7429    coin_save_LDFLAGS="$LDFLAGS"
     7430    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     7431    cat >conftest.$ac_ext <<_ACEOF
     7432/* confdefs.h.  */
     7433_ACEOF
     7434cat confdefs.h >>conftest.$ac_ext
     7435cat >>conftest.$ac_ext <<_ACEOF
     7436/* end confdefs.h.  */
     7437
     7438#ifdef F77_DUMMY_MAIN
     7439
     7440#  ifdef __cplusplus
     7441     extern "C"
     7442#  endif
     7443   int F77_DUMMY_MAIN() { return 1; }
     7444
     7445#endif
     7446int
     7447main ()
     7448{
     7449int i=0;
     7450  ;
     7451  return 0;
     7452}
     7453_ACEOF
     7454rm -f conftest.$ac_objext conftest$ac_exeext
     7455if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7456  (eval $ac_link) 2>conftest.er1
     7457  ac_status=$?
     7458  grep -v '^ *+' conftest.er1 >conftest.err
     7459  rm -f conftest.er1
     7460  cat conftest.err >&5
     7461  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7462  (exit $ac_status); } &&
     7463         { ac_try='test -z "$ac_c_werror_flag"
     7464                         || test ! -s conftest.err'
     7465  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7466  (eval $ac_try) 2>&5
     7467  ac_status=$?
     7468  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7469  (exit $ac_status); }; } &&
     7470         { ac_try='test -s conftest$ac_exeext'
     7471  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7472  (eval $ac_try) 2>&5
     7473  ac_status=$?
     7474  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7475  (exit $ac_status); }; }; then
     7476  echo "$as_me:$LINENO: result: yes" >&5
     7477echo "${ECHO_T}yes" >&6
     7478else
     7479  echo "$as_me: failed program was:" >&5
     7480sed 's/^/| /' conftest.$ac_ext >&5
     7481
     7482echo "$as_me:$LINENO: result: no" >&5
     7483echo "${ECHO_T}no" >&6
     7484       LDFLAGS="$coin_save_LDFLAGS"
     7485       if test $use_static_standardlibs = yes ; then
     7486         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     7487echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     7488   { (exit 1); exit 1; }; }
     7489       fi
     7490
     7491fi
     7492rm -f conftest.err conftest.$ac_objext \
     7493      conftest$ac_exeext conftest.$ac_ext
     7494    ;;
     7495  esac
     7496fi
     7497
    71227498ac_ext=c
    71237499ac_cpp='$CPP $CPPFLAGS'
     
    71357511# START
    71367512
     7513coin_disable_shared=no
    71377514# Test if force_shared has been set
    71387515if test "x" = xforce_shared; then
     
    71707547    { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    71717548echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     7549  else
     7550    # we don't disable shared, because it was not selected anyway
     7551    coin_disable_shared=no
    71727552  fi
    71737553  enable_shared=no
     
    88769256*-*-irix6*)
    88779257  # Find out which ABI we are using.
    8878   echo '#line 8878 "configure"' > conftest.$ac_ext
     9258  echo '#line 9258 "configure"' > conftest.$ac_ext
    88799259  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    88809260  (eval $ac_compile) 2>&5
     
    1085611236   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1085711237   -e 's:$: $lt_compiler_flag:'`
    10858    (eval echo "\"\$as_me:10858: $lt_compile\"" >&5)
     11238   (eval echo "\"\$as_me:11238: $lt_compile\"" >&5)
    1085911239   (eval "$lt_compile" 2>conftest.err)
    1086011240   ac_status=$?
    1086111241   cat conftest.err >&5
    10862    echo "$as_me:10862: \$? = $ac_status" >&5
     11242   echo "$as_me:11242: \$? = $ac_status" >&5
    1086311243   if (exit $ac_status) && test -s "$ac_outfile"; then
    1086411244     # The compiler can only warn and ignore the option if not recognized
     
    1112411504   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1112511505   -e 's:$: $lt_compiler_flag:'`
    11126    (eval echo "\"\$as_me:11126: $lt_compile\"" >&5)
     11506   (eval echo "\"\$as_me:11506: $lt_compile\"" >&5)
    1112711507   (eval "$lt_compile" 2>conftest.err)
    1112811508   ac_status=$?
    1112911509   cat conftest.err >&5
    11130    echo "$as_me:11130: \$? = $ac_status" >&5
     11510   echo "$as_me:11510: \$? = $ac_status" >&5
    1113111511   if (exit $ac_status) && test -s "$ac_outfile"; then
    1113211512     # The compiler can only warn and ignore the option if not recognized
     
    1122811608   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1122911609   -e 's:$: $lt_compiler_flag:'`
    11230    (eval echo "\"\$as_me:11230: $lt_compile\"" >&5)
     11610   (eval echo "\"\$as_me:11610: $lt_compile\"" >&5)
    1123111611   (eval "$lt_compile" 2>out/conftest.err)
    1123211612   ac_status=$?
    1123311613   cat out/conftest.err >&5
    11234    echo "$as_me:11234: \$? = $ac_status" >&5
     11614   echo "$as_me:11614: \$? = $ac_status" >&5
    1123511615   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1123611616   then
     
    1364514025  lt_status=$lt_dlunknown
    1364614026  cat > conftest.$ac_ext <<EOF
    13647 #line 13647 "configure"
     14027#line 14027 "configure"
    1364814028#include "confdefs.h"
    1364914029
     
    1374514125  lt_status=$lt_dlunknown
    1374614126  cat > conftest.$ac_ext <<EOF
    13747 #line 13747 "configure"
     14127#line 14127 "configure"
    1374814128#include "confdefs.h"
    1374914129
     
    1610516485   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1610616486   -e 's:$: $lt_compiler_flag:'`
    16107    (eval echo "\"\$as_me:16107: $lt_compile\"" >&5)
     16487   (eval echo "\"\$as_me:16487: $lt_compile\"" >&5)
    1610816488   (eval "$lt_compile" 2>conftest.err)
    1610916489   ac_status=$?
    1611016490   cat conftest.err >&5
    16111    echo "$as_me:16111: \$? = $ac_status" >&5
     16491   echo "$as_me:16491: \$? = $ac_status" >&5
    1611216492   if (exit $ac_status) && test -s "$ac_outfile"; then
    1611316493     # The compiler can only warn and ignore the option if not recognized
     
    1620916589   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1621016590   -e 's:$: $lt_compiler_flag:'`
    16211    (eval echo "\"\$as_me:16211: $lt_compile\"" >&5)
     16591   (eval echo "\"\$as_me:16591: $lt_compile\"" >&5)
    1621216592   (eval "$lt_compile" 2>out/conftest.err)
    1621316593   ac_status=$?
    1621416594   cat out/conftest.err >&5
    16215    echo "$as_me:16215: \$? = $ac_status" >&5
     16595   echo "$as_me:16595: \$? = $ac_status" >&5
    1621616596   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1621716597   then
     
    1777918159   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778018160   -e 's:$: $lt_compiler_flag:'`
    17781    (eval echo "\"\$as_me:17781: $lt_compile\"" >&5)
     18161   (eval echo "\"\$as_me:18161: $lt_compile\"" >&5)
    1778218162   (eval "$lt_compile" 2>conftest.err)
    1778318163   ac_status=$?
    1778418164   cat conftest.err >&5
    17785    echo "$as_me:17785: \$? = $ac_status" >&5
     18165   echo "$as_me:18165: \$? = $ac_status" >&5
    1778618166   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778718167     # The compiler can only warn and ignore the option if not recognized
     
    1788318263   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788418264   -e 's:$: $lt_compiler_flag:'`
    17885    (eval echo "\"\$as_me:17885: $lt_compile\"" >&5)
     18265   (eval echo "\"\$as_me:18265: $lt_compile\"" >&5)
    1788618266   (eval "$lt_compile" 2>out/conftest.err)
    1788718267   ac_status=$?
    1788818268   cat out/conftest.err >&5
    17889    echo "$as_me:17889: \$? = $ac_status" >&5
     18269   echo "$as_me:18269: \$? = $ac_status" >&5
    1789018270   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1789118271   then
     
    2009020470   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2009120471   -e 's:$: $lt_compiler_flag:'`
    20092    (eval echo "\"\$as_me:20092: $lt_compile\"" >&5)
     20472   (eval echo "\"\$as_me:20472: $lt_compile\"" >&5)
    2009320473   (eval "$lt_compile" 2>conftest.err)
    2009420474   ac_status=$?
    2009520475   cat conftest.err >&5
    20096    echo "$as_me:20096: \$? = $ac_status" >&5
     20476   echo "$as_me:20476: \$? = $ac_status" >&5
    2009720477   if (exit $ac_status) && test -s "$ac_outfile"; then
    2009820478     # The compiler can only warn and ignore the option if not recognized
     
    2035820738   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2035920739   -e 's:$: $lt_compiler_flag:'`
    20360    (eval echo "\"\$as_me:20360: $lt_compile\"" >&5)
     20740   (eval echo "\"\$as_me:20740: $lt_compile\"" >&5)
    2036120741   (eval "$lt_compile" 2>conftest.err)
    2036220742   ac_status=$?
    2036320743   cat conftest.err >&5
    20364    echo "$as_me:20364: \$? = $ac_status" >&5
     20744   echo "$as_me:20744: \$? = $ac_status" >&5
    2036520745   if (exit $ac_status) && test -s "$ac_outfile"; then
    2036620746     # The compiler can only warn and ignore the option if not recognized
     
    2046220842   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2046320843   -e 's:$: $lt_compiler_flag:'`
    20464    (eval echo "\"\$as_me:20464: $lt_compile\"" >&5)
     20844   (eval echo "\"\$as_me:20844: $lt_compile\"" >&5)
    2046520845   (eval "$lt_compile" 2>out/conftest.err)
    2046620846   ac_status=$?
    2046720847   cat out/conftest.err >&5
    20468    echo "$as_me:20468: \$? = $ac_status" >&5
     20848   echo "$as_me:20848: \$? = $ac_status" >&5
    2046920849   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2047020850   then
     
    2372924109  use_pkgconfig="$enableval"
    2373024110else
    23731   use_pkgconfig=yes
     24111  if test x$coin_cc_is_cl = xtrue; then
     24112     use_pkgconfig=no
     24113   else
     24114     use_pkgconfig=yes
     24115   fi
    2373224116fi;
    2373324117
     
    2373924123echo "$as_me:$LINENO: checking for $ac_word" >&5
    2374024124echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    23741 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     24125if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
    2374224126  echo $ECHO_N "(cached) $ECHO_C" >&6
    2374324127else
    23744   case $PKG_CONFIG in
    23745   [\\/]* | ?:[\\/]*)
    23746   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
    23747   ;;
    23748   *)
    23749   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     24128  if test -n "$PKG_CONFIG"; then
     24129  ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
     24130else
     24131as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2375024132for as_dir in $PATH
    2375124133do
     
    2375424136  for ac_exec_ext in '' $ac_executable_extensions; do
    2375524137  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    23756     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     24138    ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
    2375724139    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2375824140    break 2
     
    2376124143done
    2376224144
    23763   ;;
    23764 esac
    23765 fi
    23766 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
    23767 
     24145fi
     24146fi
     24147PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
    2376824148if test -n "$PKG_CONFIG"; then
    2376924149  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    2377524155
    2377624156fi
    23777 if test -z "$ac_cv_path_PKG_CONFIG"; then
    23778   ac_pt_PKG_CONFIG=$PKG_CONFIG
     24157if test -z "$ac_cv_prog_PKG_CONFIG"; then
     24158  ac_ct_PKG_CONFIG=$PKG_CONFIG
    2377924159  # Extract the first word of "pkg-config", so it can be a program name with args.
    2378024160set dummy pkg-config; ac_word=$2
    2378124161echo "$as_me:$LINENO: checking for $ac_word" >&5
    2378224162echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    23783 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     24163if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
    2378424164  echo $ECHO_N "(cached) $ECHO_C" >&6
    2378524165else
    23786   case $ac_pt_PKG_CONFIG in
    23787   [\\/]* | ?:[\\/]*)
    23788   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
    23789   ;;
    23790   *)
    23791   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     24166  if test -n "$ac_ct_PKG_CONFIG"; then
     24167  ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
     24168else
     24169as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2379224170for as_dir in $PATH
    2379324171do
     
    2379624174  for ac_exec_ext in '' $ac_executable_extensions; do
    2379724175  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    23798     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     24176    ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
    2379924177    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2380024178    break 2
     
    2380324181done
    2380424182
    23805   ;;
    23806 esac
    23807 fi
    23808 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
    23809 
    23810 if test -n "$ac_pt_PKG_CONFIG"; then
    23811   echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
    23812 echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     24183fi
     24184fi
     24185ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
     24186if test -n "$ac_ct_PKG_CONFIG"; then
     24187  echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
     24188echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
    2381324189else
    2381424190  echo "$as_me:$LINENO: result: no" >&5
     
    2381624192fi
    2381724193
    23818   PKG_CONFIG=$ac_pt_PKG_CONFIG
    23819 else
    23820   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     24194  PKG_CONFIG=$ac_ct_PKG_CONFIG
     24195else
     24196  PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
    2382124197fi
    2382224198
     
    2382624202    echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
    2382724203echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
    23828     if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     24204    if "$PKG_CONFIG" --atleast-pkgconfig-version $_pkg_min_version; then
    2382924205      echo "$as_me:$LINENO: result: yes" >&5
    2383024206echo "${ECHO_T}yes" >&6
     
    2383824214  # check if pkg-config supports the short-errors flag
    2383924215  if test -n "$PKG_CONFIG" && \
    23840     $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     24216    "$PKG_CONFIG" --atleast-pkgconfig-version 0.20; then
    2384124217    pkg_short_errors=" --short-errors "
    2384224218  else
     
    2405224428
    2405324429if test -n "$PKG_CONFIG" ; then
    24054   if $PKG_CONFIG --exists "bonmin"; then
    24055     BONMIN_VERSIONS=`$PKG_CONFIG --modversion "bonmin" 2>/dev/null | tr '\n' ' '`
    24056      cflags=`$PKG_CONFIG --cflags "bonmin" 2>/dev/null`
     24430  if "$PKG_CONFIG" --exists "bonmin"; then
     24431    BONMIN_VERSIONS=`"$PKG_CONFIG" --modversion "bonmin" 2>/dev/null | tr '\n' ' '`
     24432     cflags=`"$PKG_CONFIG" --cflags "bonmin" 2>/dev/null`
    2405724433    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2405824434        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2406324439    fi
    2406424440    BONMIN_CFLAGS="$cflags"
    24065     BONMIN_LIBS=`$PKG_CONFIG --libs "bonmin" 2>/dev/null`
    24066     BONMIN_DATA=`$PKG_CONFIG --variable=datadir "bonmin" 2>/dev/null`
     24441    BONMIN_LIBS=`"$PKG_CONFIG" --libs "bonmin" 2>/dev/null`
     24442    BONMIN_DATA=`"$PKG_CONFIG" --variable=datadir "bonmin" 2>/dev/null`
    2406724443     coin_has_bonmin=yes
    2406824444        echo "$as_me:$LINENO: result: yes: $BONMIN_VERSIONS" >&5
     
    2408624462
    2408724463  else
    24088     BONMIN_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "bonmin"`
     24464    BONMIN_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "bonmin"`
    2408924465      coin_has_bonmin=notGiven
    2409024466        echo "$as_me:$LINENO: result: not given: $BONMIN_PKG_ERRORS" >&5
     
    2413224508allpcfiles=""
    2413324509allpcifiles=""
     24510echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     24511echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2413424512while test "x$projtoprocess" != x ; do
    2413524513
     
    2457524953
    2457624954if test -n "$PKG_CONFIG" ; then
    24577   if $PKG_CONFIG --exists "bonminamplinterface"; then
    24578     ASL_VERSIONS=`$PKG_CONFIG --modversion "bonminamplinterface" 2>/dev/null | tr '\n' ' '`
    24579      cflags=`$PKG_CONFIG --cflags "bonminamplinterface" 2>/dev/null`
     24955  if "$PKG_CONFIG" --exists "bonminamplinterface"; then
     24956    ASL_VERSIONS=`"$PKG_CONFIG" --modversion "bonminamplinterface" 2>/dev/null | tr '\n' ' '`
     24957     cflags=`"$PKG_CONFIG" --cflags "bonminamplinterface" 2>/dev/null`
    2458024958    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2458124959        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2458624964    fi
    2458724965    ASL_CFLAGS="$cflags"
    24588     ASL_LIBS=`$PKG_CONFIG --libs "bonminamplinterface" 2>/dev/null`
    24589     ASL_DATA=`$PKG_CONFIG --variable=datadir "bonminamplinterface" 2>/dev/null`
     24966    ASL_LIBS=`"$PKG_CONFIG" --libs "bonminamplinterface" 2>/dev/null`
     24967    ASL_DATA=`"$PKG_CONFIG" --variable=datadir "bonminamplinterface" 2>/dev/null`
    2459024968     coin_has_asl=yes
    2459124969        echo "$as_me:$LINENO: result: yes: $ASL_VERSIONS" >&5
     
    2460924987
    2461024988  else
    24611     ASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "bonminamplinterface"`
     24989    ASL_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "bonminamplinterface"`
    2461224990      coin_has_asl=notGiven
    2461324991        echo "$as_me:$LINENO: result: not given: $ASL_PKG_ERRORS" >&5
     
    2465525033allpcfiles=""
    2465625034allpcifiles=""
     25035echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     25036echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2465725037while test "x$projtoprocess" != x ; do
    2465825038
     
    2530625686
    2530725687if test -n "$PKG_CONFIG" ; then
    25308   if $PKG_CONFIG --exists "coinscip"; then
    25309     SCIP_VERSIONS=`$PKG_CONFIG --modversion "coinscip" 2>/dev/null | tr '\n' ' '`
    25310      cflags=`$PKG_CONFIG --cflags "coinscip" 2>/dev/null`
     25688  if "$PKG_CONFIG" --exists "coinscip"; then
     25689    SCIP_VERSIONS=`"$PKG_CONFIG" --modversion "coinscip" 2>/dev/null | tr '\n' ' '`
     25690     cflags=`"$PKG_CONFIG" --cflags "coinscip" 2>/dev/null`
    2531125691    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2531225692        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2531725697    fi
    2531825698    SCIP_CFLAGS="$cflags"
    25319     SCIP_LIBS=`$PKG_CONFIG --libs "coinscip" 2>/dev/null`
    25320     SCIP_DATA=`$PKG_CONFIG --variable=datadir "coinscip" 2>/dev/null`
     25699    SCIP_LIBS=`"$PKG_CONFIG" --libs "coinscip" 2>/dev/null`
     25700    SCIP_DATA=`"$PKG_CONFIG" --variable=datadir "coinscip" 2>/dev/null`
    2532125701     coin_has_scip=yes
    2532225702        echo "$as_me:$LINENO: result: yes: $SCIP_VERSIONS" >&5
     
    2534025720
    2534125721  else
    25342     SCIP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinscip"`
     25722    SCIP_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coinscip"`
    2534325723      coin_has_scip=notGiven
    2534425724        echo "$as_me:$LINENO: result: not given: $SCIP_PKG_ERRORS" >&5
     
    2538625766allpcfiles=""
    2538725767allpcifiles=""
     25768echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     25769echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2538825770while test "x$projtoprocess" != x ; do
    2538925771
     
    2581926201
    2582026202if test -n "$PKG_CONFIG" ; then
    25821   if $PKG_CONFIG --exists "osi-cplex"; then
    25822     CPX_VERSIONS=`$PKG_CONFIG --modversion "osi-cplex" 2>/dev/null | tr '\n' ' '`
    25823      cflags=`$PKG_CONFIG --cflags "osi-cplex" 2>/dev/null`
     26203  if "$PKG_CONFIG" --exists "osi-cplex"; then
     26204    CPX_VERSIONS=`"$PKG_CONFIG" --modversion "osi-cplex" 2>/dev/null | tr '\n' ' '`
     26205     cflags=`"$PKG_CONFIG" --cflags "osi-cplex" 2>/dev/null`
    2582426206    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2582526207        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2583026212    fi
    2583126213    CPX_CFLAGS="$cflags"
    25832     CPX_LIBS=`$PKG_CONFIG --libs "osi-cplex" 2>/dev/null`
    25833     CPX_DATA=`$PKG_CONFIG --variable=datadir "osi-cplex" 2>/dev/null`
     26214    CPX_LIBS=`"$PKG_CONFIG" --libs "osi-cplex" 2>/dev/null`
     26215    CPX_DATA=`"$PKG_CONFIG" --variable=datadir "osi-cplex" 2>/dev/null`
    2583426216     coin_has_cpx=yes
    2583526217        echo "$as_me:$LINENO: result: yes: $CPX_VERSIONS" >&5
     
    2585326235
    2585426236  else
    25855     CPX_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-cplex"`
     26237    CPX_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-cplex"`
    2585626238      coin_has_cpx=notGiven
    2585726239        echo "$as_me:$LINENO: result: not given: $CPX_PKG_ERRORS" >&5
     
    2589926281allpcfiles=""
    2590026282allpcifiles=""
     26283echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     26284echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2590126285while test "x$projtoprocess" != x ; do
    2590226286
     
    2633926723
    2634026724if test -n "$PKG_CONFIG" ; then
    26341   if $PKG_CONFIG --exists "osi-gurobi"; then
    26342     GRB_VERSIONS=`$PKG_CONFIG --modversion "osi-gurobi" 2>/dev/null | tr '\n' ' '`
    26343      cflags=`$PKG_CONFIG --cflags "osi-gurobi" 2>/dev/null`
     26725  if "$PKG_CONFIG" --exists "osi-gurobi"; then
     26726    GRB_VERSIONS=`"$PKG_CONFIG" --modversion "osi-gurobi" 2>/dev/null | tr '\n' ' '`
     26727     cflags=`"$PKG_CONFIG" --cflags "osi-gurobi" 2>/dev/null`
    2634426728    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2634526729        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2635026734    fi
    2635126735    GRB_CFLAGS="$cflags"
    26352     GRB_LIBS=`$PKG_CONFIG --libs "osi-gurobi" 2>/dev/null`
    26353     GRB_DATA=`$PKG_CONFIG --variable=datadir "osi-gurobi" 2>/dev/null`
     26736    GRB_LIBS=`"$PKG_CONFIG" --libs "osi-gurobi" 2>/dev/null`
     26737    GRB_DATA=`"$PKG_CONFIG" --variable=datadir "osi-gurobi" 2>/dev/null`
    2635426738     coin_has_grb=yes
    2635526739        echo "$as_me:$LINENO: result: yes: $GRB_VERSIONS" >&5
     
    2637326757
    2637426758  else
    26375     GRB_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-gurobi"`
     26759    GRB_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-gurobi"`
    2637626760      coin_has_grb=notGiven
    2637726761        echo "$as_me:$LINENO: result: not given: $GRB_PKG_ERRORS" >&5
     
    2641926803allpcfiles=""
    2642026804allpcifiles=""
     26805echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     26806echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2642126807while test "x$projtoprocess" != x ; do
    2642226808
     
    2685027236
    2685127237if test -n "$PKG_CONFIG" ; then
    26852   if $PKG_CONFIG --exists "osi-mosek"; then
    26853     MSK_VERSIONS=`$PKG_CONFIG --modversion "osi-mosek" 2>/dev/null | tr '\n' ' '`
    26854      cflags=`$PKG_CONFIG --cflags "osi-mosek" 2>/dev/null`
     27238  if "$PKG_CONFIG" --exists "osi-mosek"; then
     27239    MSK_VERSIONS=`"$PKG_CONFIG" --modversion "osi-mosek" 2>/dev/null | tr '\n' ' '`
     27240     cflags=`"$PKG_CONFIG" --cflags "osi-mosek" 2>/dev/null`
    2685527241    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2685627242        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2686127247    fi
    2686227248    MSK_CFLAGS="$cflags"
    26863     MSK_LIBS=`$PKG_CONFIG --libs "osi-mosek" 2>/dev/null`
    26864     MSK_DATA=`$PKG_CONFIG --variable=datadir "osi-mosek" 2>/dev/null`
     27249    MSK_LIBS=`"$PKG_CONFIG" --libs "osi-mosek" 2>/dev/null`
     27250    MSK_DATA=`"$PKG_CONFIG" --variable=datadir "osi-mosek" 2>/dev/null`
    2686527251     coin_has_msk=yes
    2686627252        echo "$as_me:$LINENO: result: yes: $MSK_VERSIONS" >&5
     
    2688427270
    2688527271  else
    26886     MSK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-mosek"`
     27272    MSK_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-mosek"`
    2688727273      coin_has_msk=notGiven
    2688827274        echo "$as_me:$LINENO: result: not given: $MSK_PKG_ERRORS" >&5
     
    2693027316allpcfiles=""
    2693127317allpcifiles=""
     27318echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     27319echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2693227320while test "x$projtoprocess" != x ; do
    2693327321
     
    2736127749
    2736227750if test -n "$PKG_CONFIG" ; then
    27363   if $PKG_CONFIG --exists "osi-soplex"; then
    27364     SPX_VERSIONS=`$PKG_CONFIG --modversion "osi-soplex" 2>/dev/null | tr '\n' ' '`
    27365      cflags=`$PKG_CONFIG --cflags "osi-soplex" 2>/dev/null`
     27751  if "$PKG_CONFIG" --exists "osi-soplex"; then
     27752    SPX_VERSIONS=`"$PKG_CONFIG" --modversion "osi-soplex" 2>/dev/null | tr '\n' ' '`
     27753     cflags=`"$PKG_CONFIG" --cflags "osi-soplex" 2>/dev/null`
    2736627754    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2736727755        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2737227760    fi
    2737327761    SPX_CFLAGS="$cflags"
    27374     SPX_LIBS=`$PKG_CONFIG --libs "osi-soplex" 2>/dev/null`
    27375     SPX_DATA=`$PKG_CONFIG --variable=datadir "osi-soplex" 2>/dev/null`
     27762    SPX_LIBS=`"$PKG_CONFIG" --libs "osi-soplex" 2>/dev/null`
     27763    SPX_DATA=`"$PKG_CONFIG" --variable=datadir "osi-soplex" 2>/dev/null`
    2737627764     coin_has_spx=yes
    2737727765        echo "$as_me:$LINENO: result: yes: $SPX_VERSIONS" >&5
     
    2739527783
    2739627784  else
    27397     SPX_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-soplex"`
     27785    SPX_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-soplex"`
    2739827786      coin_has_spx=notGiven
    2739927787        echo "$as_me:$LINENO: result: not given: $SPX_PKG_ERRORS" >&5
     
    2744127829allpcfiles=""
    2744227830allpcifiles=""
     27831echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     27832echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2744327833while test "x$projtoprocess" != x ; do
    2744427834
     
    2787228262
    2787328263if test -n "$PKG_CONFIG" ; then
    27874   if $PKG_CONFIG --exists "osi-xpress"; then
    27875     XPR_VERSIONS=`$PKG_CONFIG --modversion "osi-xpress" 2>/dev/null | tr '\n' ' '`
    27876      cflags=`$PKG_CONFIG --cflags "osi-xpress" 2>/dev/null`
     28264  if "$PKG_CONFIG" --exists "osi-xpress"; then
     28265    XPR_VERSIONS=`"$PKG_CONFIG" --modversion "osi-xpress" 2>/dev/null | tr '\n' ' '`
     28266     cflags=`"$PKG_CONFIG" --cflags "osi-xpress" 2>/dev/null`
    2787728267    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2787828268        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2788328273    fi
    2788428274    XPR_CFLAGS="$cflags"
    27885     XPR_LIBS=`$PKG_CONFIG --libs "osi-xpress" 2>/dev/null`
    27886     XPR_DATA=`$PKG_CONFIG --variable=datadir "osi-xpress" 2>/dev/null`
     28275    XPR_LIBS=`"$PKG_CONFIG" --libs "osi-xpress" 2>/dev/null`
     28276    XPR_DATA=`"$PKG_CONFIG" --variable=datadir "osi-xpress" 2>/dev/null`
    2788728277     coin_has_xpr=yes
    2788828278        echo "$as_me:$LINENO: result: yes: $XPR_VERSIONS" >&5
     
    2790628296
    2790728297  else
    27908     XPR_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-xpress"`
     28298    XPR_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-xpress"`
    2790928299      coin_has_xpr=notGiven
    2791028300        echo "$as_me:$LINENO: result: not given: $XPR_PKG_ERRORS" >&5
     
    2795228342allpcfiles=""
    2795328343allpcifiles=""
     28344echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     28345echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2795428346while test "x$projtoprocess" != x ; do
    2795528347
     
    3059830990s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    3059930991s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    30600 s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     30992s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
    3060130993s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    3060230994s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
  • trunk/Couenne/src/Makefile.in

    r921 r970  
    344344ac_ct_CXX = @ac_ct_CXX@
    345345ac_ct_F77 = @ac_ct_F77@
     346ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    346347ac_ct_RANLIB = @ac_ct_RANLIB@
    347348ac_ct_STRIP = @ac_ct_STRIP@
    348349ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    349 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    350350am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    351351am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/bound_tightening/Makefile.in

    r921 r970  
    269269ac_ct_CXX = @ac_ct_CXX@
    270270ac_ct_F77 = @ac_ct_F77@
     271ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    271272ac_ct_RANLIB = @ac_ct_RANLIB@
    272273ac_ct_STRIP = @ac_ct_STRIP@
    273274ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    274 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    275275am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    276276am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/bound_tightening/twoImpliedBT/Makefile.in

    r921 r970  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
     265ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    265266ac_ct_RANLIB = @ac_ct_RANLIB@
    266267ac_ct_STRIP = @ac_ct_STRIP@
    267268ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    268 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/branch/Makefile.in

    r921 r970  
    280280ac_ct_CXX = @ac_ct_CXX@
    281281ac_ct_F77 = @ac_ct_F77@
     282ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    282283ac_ct_RANLIB = @ac_ct_RANLIB@
    283284ac_ct_STRIP = @ac_ct_STRIP@
    284285ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    285 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    286286am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    287287am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/convex/Makefile.in

    r921 r970  
    264264ac_ct_CXX = @ac_ct_CXX@
    265265ac_ct_F77 = @ac_ct_F77@
     266ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    266267ac_ct_RANLIB = @ac_ct_RANLIB@
    267268ac_ct_STRIP = @ac_ct_STRIP@
    268269ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    269 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    270270am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    271271am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/cut/crossconv/Makefile.in

    r921 r970  
    260260ac_ct_CXX = @ac_ct_CXX@
    261261ac_ct_F77 = @ac_ct_F77@
     262ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    262263ac_ct_RANLIB = @ac_ct_RANLIB@
    263264ac_ct_STRIP = @ac_ct_STRIP@
    264265ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    265 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    266266am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    267267am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/cut/sdpcuts/Makefile.in

    r935 r970  
    261261ac_ct_CXX = @ac_ct_CXX@
    262262ac_ct_F77 = @ac_ct_F77@
     263ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    263264ac_ct_RANLIB = @ac_ct_RANLIB@
    264265ac_ct_STRIP = @ac_ct_STRIP@
    265266ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    266 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    267267am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    268268am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/disjunctive/Makefile.in

    r921 r970  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
     265ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    265266ac_ct_RANLIB = @ac_ct_RANLIB@
    266267ac_ct_STRIP = @ac_ct_STRIP@
    267268ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    268 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/expression/Makefile.in

    r921 r970  
    279279ac_ct_CXX = @ac_ct_CXX@
    280280ac_ct_F77 = @ac_ct_F77@
     281ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    281282ac_ct_RANLIB = @ac_ct_RANLIB@
    282283ac_ct_STRIP = @ac_ct_STRIP@
    283284ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    284 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    285285am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    286286am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/heuristics/Makefile.in

    r921 r970  
    276276ac_ct_CXX = @ac_ct_CXX@
    277277ac_ct_F77 = @ac_ct_F77@
     278ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    278279ac_ct_RANLIB = @ac_ct_RANLIB@
    279280ac_ct_STRIP = @ac_ct_STRIP@
    280281ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    281 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    282282am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    283283am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/interfaces/Makefile.in

    r921 r970  
    261261ac_ct_CXX = @ac_ct_CXX@
    262262ac_ct_F77 = @ac_ct_F77@
     263ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    263264ac_ct_RANLIB = @ac_ct_RANLIB@
    264265ac_ct_STRIP = @ac_ct_STRIP@
    265266ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    266 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    267267am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    268268am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/main/Makefile.am

    r908 r970  
    5353# This line is necessary to allow VPATH compilation
    5454DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)` -I..
     55
     56########################################################################
     57#                     Installing manifest (MSVC++)                     #
     58########################################################################
     59
     60install-exec-hook:
     61        test -s couenne.exe.manifest && \
     62        mt -manifest couenne.exe.manifest -outputresource:couenne.exe;\
     63        cp couenne.exe $(bindir)/couenne.exe
     64
  • trunk/Couenne/src/main/Makefile.in

    r921 r970  
    278278ac_ct_CXX = @ac_ct_CXX@
    279279ac_ct_F77 = @ac_ct_F77@
     280ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    280281ac_ct_RANLIB = @ac_ct_RANLIB@
    281282ac_ct_STRIP = @ac_ct_STRIP@
    282283ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    283 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    284284am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    285285am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
     
    624624
    625625install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
     626        @$(NORMAL_INSTALL)
     627        $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
    626628
    627629install-info: install-info-am
     
    658660        html-am info info-am install install-am install-binPROGRAMS \
    659661        install-data install-data-am install-exec install-exec-am \
    660         install-info install-info-am install-libLTLIBRARIES \
    661         install-man install-strip installcheck installcheck-am \
    662         installdirs maintainer-clean maintainer-clean-generic \
    663         mostlyclean mostlyclean-compile mostlyclean-generic \
    664         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
    665         uninstall-am uninstall-binPROGRAMS uninstall-info-am \
    666         uninstall-libLTLIBRARIES
    667 
     662        install-exec-hook install-info install-info-am \
     663        install-libLTLIBRARIES install-man install-strip installcheck \
     664        installcheck-am installdirs maintainer-clean \
     665        maintainer-clean-generic mostlyclean mostlyclean-compile \
     666        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
     667        tags uninstall uninstall-am uninstall-binPROGRAMS \
     668        uninstall-info-am uninstall-libLTLIBRARIES
     669
     670
     671########################################################################
     672#                     Installing manifest (MSVC++)                     #
     673########################################################################
     674
     675install-exec-hook:
     676        test -s couenne.exe.manifest && \
     677        mt -manifest couenne.exe.manifest -outputresource:couenne.exe;\
     678        cp couenne.exe $(bindir)/couenne.exe
    668679# Tell versions [3.59,3.63) of GNU make to not export all variables.
    669680# Otherwise a system limit (for SysV at least) may be exceeded.
  • trunk/Couenne/src/problem/Makefile.in

    r937 r970  
    297297ac_ct_CXX = @ac_ct_CXX@
    298298ac_ct_F77 = @ac_ct_F77@
     299ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    299300ac_ct_RANLIB = @ac_ct_RANLIB@
    300301ac_ct_STRIP = @ac_ct_STRIP@
    301302ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    302 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    303303am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    304304am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/readnl/Makefile.in

    r921 r970  
    267267ac_ct_CXX = @ac_ct_CXX@
    268268ac_ct_F77 = @ac_ct_F77@
     269ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    269270ac_ct_RANLIB = @ac_ct_RANLIB@
    270271ac_ct_STRIP = @ac_ct_STRIP@
    271272ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    272 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    273273am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    274274am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/standardize/Makefile.in

    r937 r970  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
     265ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    265266ac_ct_RANLIB = @ac_ct_RANLIB@
    266267ac_ct_STRIP = @ac_ct_STRIP@
    267268ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    268 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/util/Makefile.in

    r921 r970  
    260260ac_ct_CXX = @ac_ct_CXX@
    261261ac_ct_F77 = @ac_ct_F77@
     262ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    262263ac_ct_RANLIB = @ac_ct_RANLIB@
    263264ac_ct_STRIP = @ac_ct_STRIP@
    264265ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    265 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    266266am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    267267am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/test/Makefile.in

    r921 r970  
    243243ac_ct_CXX = @ac_ct_CXX@
    244244ac_ct_F77 = @ac_ct_F77@
     245ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    245246ac_ct_RANLIB = @ac_ct_RANLIB@
    246247ac_ct_STRIP = @ac_ct_STRIP@
    247248ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    248 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    249249am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    250250am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
Note: See TracChangeset for help on using the changeset viewer.